/**********************************************************
　　製作者　　アドウィン
　　解　説　　IOエクスパンダを使ったプログラム例２
**********************************************************/
#include <Arduino.h>      // Arduino.h の読み込み
#include "char8x8.h"      // char8x8.h の読み込み
#include "dotmatrixled.h" // dotmatrixled.h の読み込み

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // ドットマトリクスLED初期設定
  initLed();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  for (int i = 0; i < 8; i++) {
    // ドットマトリクスLEDのi行目を表示
    setLed(ledPatternA[i], ledCathodePattern[i]);
    // 時間待ち
    delay(1);
  }
}