/**********************************************************
　　製作者　　アドウィン
　　解　説　　論理演算子を用いたプログラム例
**********************************************************/
#include <Arduino.h>      // Arduino.h の読み込み
#include "dotmatrixled.h" // dotmatrixled.h の読み込み

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // ドットマトリクスLED初期設定
  initLed();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  setLed(0b11111111, 0b11111111); // 1〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11111110); // 2〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11111100); // 3〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11111000); // 4〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11110000); // 5〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11100000); // 6〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b11000000); // 7〜8行目を点灯
  delay(1);                       // 時間待ち
  setLed(0b11111111, 0b10000000); // 8行目のみ点灯
  delay(1);                       // 時間待ち
}