/**********************************************************
　　製作者　　アドウィン
　　解　説　　スイッチ用のマクロおよび関数
**********************************************************/
#ifndef SWITCH_H_
#define SWITCH_H_
#include <Arduino.h>

// SW1用のピン
extern int sw1;
// SW2用のピン
extern int sw2;

// スイッチ値の取得マクロ
#define SW1_ON (digitalRead(sw1) == 0)  // SW1 が ON の時
#define SW1_OFF (digitalRead(sw1) != 0) // SW1 が OFF の時
#define SW2_ON (digitalRead(sw2) == 0)  // SW2 が ON の時
#define SW2_OFF (digitalRead(sw2) != 0) // SW2 が OFF の時

// スイッチの初期設定関数
void initSwitch();

#endif