/**********************************************************
　　製作者　　アドウィン
　　解　説　　SWからの入力値の確認
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み

// SW1用のピンの設定
int sw1 = 32;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // SW1の初期設定
  pinMode(sw1, INPUT_PULLUP);

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // SW1ピンの電圧レベルをシリアルで出力
  Serial.println(digitalRead(sw1));

  delay(1); // 時間待ち
}