/**********************************************************
　　製作者　　アドウィン
　　解　説　　論理演算子を用いたプログラム例
**********************************************************/
#include <Arduino.h>      // Arduino.h の読み込み
#include "dotmatrixled.h" // dotmatrixled.h の読み込み

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // ドットマトリクスLED初期設定
  initLed();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  setLed(0b00000011, 0b00000001); // ①と②のLEDを点灯する
  delay(1);                       // 1ms時間待ち
  setLed(0b00000001, 0b00000001); // ①のLEDのみ点灯する
  delay(7);                       // 7ms時間待ち
}