/**********************************************************
　　製作者　　アドウィン
　　解　説　　ロータリエンコーダ用の関数類
**********************************************************/
#ifndef _ROTARYENCODER_H_
#define _ROTARYENCODER_H_
#include <Arduino.h> // Arduino.hの読み込み

/*
 * ロータリエンコーダの初期設定関数
 * 引数: encAPin A相入力のピン番号
 *       encBPin B相入力のピン番号
 *       multi 逓倍数（1、2、4のいずれか。初期値1。無効な値の場合も1扱い。）
 */
void initEnc(int encAPin, int encBPin, int multi = 1);

/*
 * ロータリエンコーダのカウント数の取得関数
 */
int16_t getEncCount();

#endif